/*
 * File        : inttypes.h
 * Title       : C99 Standard Integer Data Types
 *
 * Revised     : 03/Apr/2007
 * Created     : 16/Jan/2006
 * Version     : 1.0.1
 * Editor Tabs : 3
 * Tool-Chain  : arm-elf-gcc 4.0.1
 *
 * MCU         : Philips LPC2xxx (32-Bits ARM7TDMI-S Core)
 *
 * Author      : Boris Estudiez <stk@freeshell.org>
 * Website     : http://stk.freeshell.org
 * Licence     : GPL
 *
 * Description :
 * Since these typedefs are mandated by the C99 standard, they are preferred
 * over rolling your own typedefs.
 *
 * History     : Originally relased for my LPC-STXLIB library.
 *
 * (C) Copyright by slicetex electronics, 2001-2007.
 */

#ifndef __INTTYPES_H__
#define __INTTYPES_H__

// ---------------------------------------------------------------------------
// HEADERS
// ---------------------------------------------------------------------------

// None.

// ---------------------------------------------------------------------------
// DEFINES/CONSTANTS
// ---------------------------------------------------------------------------

// Maximum and minimum values for unsigned integer types.

#define MIN_UINT8_T   (0)
#define MAX_UINT8_T   (255)
#define MIN_UINT16_T  (0)
#define MAX_UINT16_T  (65535)
#define MIN_UINT32_T  (0)
#define MAX_UINT32_T  (4294967295)

// Maximum and minimum values for signed integer types.

#define MIN_INT8_T    (-128)
#define MAX_INT8_T    (127)
#define MIN_INT16_T   (-32768)
#define MAX_INT16_T   (32767)
#define MIN_INT32_T   (-2147483648)
#define MAX_INT32_T   (2147483647)

// ---------------------------------------------------------------------------
// TYPEDEFS
// ---------------------------------------------------------------------------

//typedef unsigned char            uint8_t;
//typedef signed char              int8_t;
//typedef unsigned short int       uint16_t;
//typedef signed short int         int16_t;
//typedef unsigned long int        uint32_t;
//typedef signed long int          int32_t;
//typedef unsigned long long int   uint64_t;
//typedef signed long long int     int64_t;

// ---------------------------------------------------------------------------

#endif

// ---------------------------------------------------------------------------
// END OF FILE
// ---------------------------------------------------------------------------

