/******************************************************************************
 *
 * $RCSfile: $
 * $Revision: $
 *
 * This module implements the ISRs for the RTC on the LPC ARMs.
 * Copyright 2004, R O SoftWare
 * No guarantees, warrantees, or promises, implied or otherwise.
 * May be used for hobby or commercial purposes provided copyright
 * notice remains intact.
 *
 *****************************************************************************/
#include "types.h"
#include "LPC21xx.h"
#include "uart.h"
#include "timer.h"
#include "timerISR.h"
#include "armVIC.h"
//
//volatile uint32_t alarm_on = 0;
//volatile uint32_t second_tick;
extern uint32_t volatile  rtcif;
extern uint32_t volatile t1tick;

//extern void checkdisk(void);
//extern void DisplayClock(void);
/*****************************************************************************
** Function name:		rtcISR
**
** Descriptions:		RTC interrupt handler
**
**
** parameters:			None
** Returned value:		None
**
*****************************************************************************/
void rtcISR(void)
{
    ISR_ENTRY();
    RTCILR = 1;     // Clear interrupt flag
//   DisplayClock();
    if (rtcif==0)
    {
        rtcif=1;
        IO0SET = LED1_BIT;
    }
    else
    {
        rtcif=0;
        IO0CLR = LED1_BIT;
    }
    VICVectAddr = 0;     // Acknowledge Interrupt
    ISR_EXIT();   // recover registers and return
}
/*****************************************************************************
** Function name:		timer1ISRCHandler
**
** Descriptions:		Timer1 interrupt handler
**                      Initialization is done in timer.c
**
** parameters:			None
** Returned value:		None
**
*****************************************************************************/
void timer1ISR(void)
{
    ISR_ENTRY();

   if (t1tick == 0)
   {
       IO0SET = LED2_BIT;
       t1tick = 1;
   }
   else
   {
       t1tick = 0;
       IO0CLR = LED2_BIT;
   }
    T1IR = 0x1; //clear interrupt
    VICVectAddr = 0;
    ISR_EXIT();
}
